<?PHP

global $AF;

$AF->SuppressHTMLOutput();

# Record that this IP loaded the canary:
$DB = new Database();
$DB->Query("UPDATE BotDetector_CanaryData "
  ."SET CanaryLastLoaded=NOW() "
  ." WHERE IPAddress=INET_ATON('".addslashes($_SERVER["REMOTE_ADDR"])."')");

# Tell the client never to cache this page
#  (should be redundant given the unique URLs that we use)
header("Pragma: no-cache");

if (isset($_GET["JS"]))
{
    header('Content-Type: text/javascript');
}
else
{
    header('Content-Type: text/css');
}

print "/* Canary */";
